#!/bin/bash

for d in `cat non-query.txt`; do echo "domain(\"$d\")." | gringo-aspcomp2014 optimization.txt select.lp runtime-final-fixed.asp - | ../submission/lp2normal+clasp/bin/clasp-3.2.0-R46776 --rand-freq=1 --sign-def=3 --seed=416223849 --outf=1 | grep total > out/$d.asp; cat out/$d.asp |sed 's/)\./)\.\n/g' | sed 's/.*\,"\(.*\)"\,[0-9]*\,.*/\1/g'| grep -v total | grep -v easy | grep -v indicat | grep -v infeasible | head -c -1  > out/instances.$d; done

for d in MaxSAT; do echo "domain(\"$d\")." | gringo-aspcomp2014 optimization.txt select.lp runtime-final-fixed.asp - -c solvers=1 | ../submission/lp2normal+clasp/bin/clasp-3.2.0-R46776 --rand-freq=1 --sign-def=3 --seed=416223849 --outf=1 | grep total > out/$d.asp; cat out/$d.asp |sed 's/)\./)\.\n/g' | sed 's/.*\,"\(.*\)"\,[0-9]*\,.*/\1/g'| grep -v total | grep -v easy | grep -v indicat | grep -v infeasible | head -c -1 > out/instances.$d; done

for d in `cat query.txt`; do echo "domain(\"$d\")." | gringo-aspcomp2014 optimization.txt select.lp runtime-final-fixed.asp - -c solvers=1 | ../submission/lp2normal+clasp/bin/clasp-3.2.0-R46776 --rand-freq=1 --sign-def=3 --seed=416223849 --outf=1 | grep total > out/$d.asp; cat out/$d.asp |sed 's/)\./)\.\n/g' | sed 's/.*\,"\(.*\)"\,[0-9]*\,.*/\1/g'| grep -v total | grep -v easy | grep -v indicat | grep -v infeasible | head -c -1 > out/instances.$d; done
